Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.xca

# Interface XcaConnectionManager

All Superinterfaces:
  `Serializable`

public interface XcaConnectionManager extends Serializable
The `XcaConnectionManager` can be used to modify the configuration of a connection, provide pooling or other behaviour when allocating a new connection.

## Method Summary

Modifier and Type
Method
Description
`FirebirdConnection`
`allocateConnection(FBManagedConnectionFactory managedConnectionFactory, FBConnectionRequestInfo connectionRequestInfo)`
Allocates a new `FirebirdConnection` backed by a `FBManagedConnection` from the specified factory.

## Method Details

### allocateConnection

FirebirdConnection allocateConnection(FBManagedConnectionFactory managedConnectionFactory, FBConnectionRequestInfo connectionRequestInfo) throws SQLException
Allocates a new `FirebirdConnection` backed by a `FBManagedConnection` from the specified factory.

The returned connection should behave as a new connection, but may be backed by an already established (eg pooled) managed connection.

Parameters:
  `managedConnectionFactory` - Managed connection factory
  `connectionRequestInfo` - Specific connection request info
Returns:
  A new `FirebirdConnection` instance
Throws:
  `SQLException` - for generic exceptions